cmtspeech_event_s Struct Reference

Protocol state change event. More...

`#include <cmtspeech.h>`

## Data Fields

int | state
| new state (CMTSPEECH_STATE_*)
int | prev_state
| previous state
int | msg_type
| type of the message that caused the state change
int | reserved
| reserved
union {
} | msg
| A copy of the protocol message that caused the state change (matching 'msg_type' field).
uint8_t | version
| deprecated in 1.6.1
uint8_t | codec_info
| deprecated in 1.5.3
uint8_t | cellular_info
| deprecated in 1.5.3
bool | layout_changed
| if true, acquired dl/ul buffers are invalid and need to be released
struct timespec | tstamp
| CLOCK_MONOTONIC timestamp when the message was received by HW driver.
int | cmt_sent_req
| whether CMT was the initiator

## Detailed Description

Protocol state change event.

The documentation for this struct was generated from the following file:

- cmtspeech.h